Subject: Re: bug#7881: 23.2.91; Bold spaces sometimes(?) underlined in man pages

From: Glenn Morris <[email-masked]>
Date: Fri, 21 Jan 2011 19:50:16 -0500

Andreas Schwab wrote:

>> where the space between “include” and “<stdlib.h>” is shown underlined.
>
> That's because it's a button, and the button face is underlined.

Why isn't the whole button underlined, just the space in the middle?

Why don't the "see also" links at the end of the very same page have
any visible underlining?

Answering myself: because the links are made with `make-text-button',
and it seems since it adds the button face as a text property, it
loses out to any existing text properties (bold in this case).

This seems a bit poor, doesn't it?

`make-button', using overlays, doesn't suffer from this.